Skip to main content
PUT
/
public
/
v2
/
bank-transfers
/
{record_number}
Update BankTransfer record
curl --request PUT \
  --url https://api.dualentry.com/public/v2/bank-transfers/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "company_id": 123,
  "debit_bank_account_number": 123,
  "credit_bank_account_number": 123,
  "amount": 123,
  "transaction_date": "2023-12-25",
  "exchange_rate": "1.00",
  "memo": "",
  "record_status": "posted"
}
'
{
  "internal_id": 123,
  "number": 123,
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "debit_bank_account_number": 123,
  "credit_bank_account_number": 123,
  "amount": "<string>",
  "exchange_rate": "<string>",
  "memo": "<string>",
  "bank_match_status": "<string>",
  "reconciliation_status": "<string>",
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "currency_iso_4217_code": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json

Input schema for updating BankTransfer records.

date
string<date>
required
company_id
integer
required
debit_bank_account_number
integer
required
credit_bank_account_number
integer
required
amount
required
transaction_date
string<date> | null
exchange_rate
default:1.00
memo
string
default:""
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived

Response

OK

Output schema for BankTransfer public API.

internal_id
integer
required
number
integer
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

company_id
integer
required
company_name
string
required
company_currency
string
required
debit_bank_account_number
integer | null
required
credit_bank_account_number
integer | null
required
amount
string
required

Transfer amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
memo
string
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
bank_match_status
string | null
reconciliation_status
string | null
created_by
AuditActorSchemaOut · object

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object

Schema for audit actor information.

currency_iso_4217_code
string[]
Last modified on May 28, 2026